Skip to navigation

Update a VPC

Authentication

X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret

Path parameters

idstringRequired
ID of the VPC to update

Request

This endpoint expects an object.
namestringOptional
New name for the VPC.
descriptionstringOptional
New description for the VPC.

Response

The VPC has been updated
idstringformat: "uuid"
Unique identifier for the VPC
namestring
Name of the VPC
descriptionstring
Description of the VPC
cidrstring
CIDR of the VPC
statusenum
VPC status
Allowed values:
regionstring
Region where the VPC is located
createdAtdatetimeOptional
VPC creation date

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error